## com.sun.jna.platform.win32
Class User32.POINT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.User32.POINT

Enclosing interface:
  User32

    public static class User32.POINT

extends com.sun.jna.Structure

Defines the x- and y-coordinates of a point.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` `x`
`int` `y`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`User32.POINT()`
`User32.POINT(int x, int y)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public int x

### y

    public int y

Constructor Detail

### User32.POINT

    public User32.POINT()

### User32.POINT

    public User32.POINT(int x,
                        int y)